Skip to main content
GET
/
compute
/
script
/
{id}
/
statistics
Get Edge Script Statistics
curl --request GET \
  --url https://api.bunny.net/compute/script/{id}/statistics \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/compute/script/{id}/statistics"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/compute/script/{id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "TotalRequestsServed": 123,
  "TotalCpuUsed": 123,
  "TotalMonthlyCost": 123,
  "AverageCpuTimePerExecution": 123,
  "RequestsServedChart": {},
  "AverageCpuTimeChart": {},
  "TotalCpuTimeChart": {}
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the Edge Script for which the statistics will be returned

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned

loadLatest
boolean
default:false

(Optional) Load most recent data as soon as it's available

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

Returns the statistics for the Edge Script with the given ID

TotalRequestsServed
integer<int64>
TotalCpuUsed
number<double>
TotalMonthlyCost
number<decimal>
AverageCpuTimePerExecution
number<double>
RequestsServedChart
object | null
AverageCpuTimeChart
object | null
TotalCpuTimeChart
object | null
Last modified on July 11, 2026